---------------------------------------------------------------------------------------
local PREFIX_PATH = "Data/Textures/GUI/ControlsPanel/Anim/Hint/"
---------------------------------------------------------------------------------------
createCompositionspark = function()
	local compositionspark = CreateCompositionSequence()
	local compositionDuration = 4.25
	compositionspark:setDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."spark.png")
	element:setName("Layer_1")
	compositionspark:addElement(element)
	element:setHotSpot(41, 41)
	element:setParentElement(compositionspark)
	element:setXY(77.5, 80.5)
 
 	-- HERE!
	-- element:setScaleX(2.63)
	-- element:setScaleY(2.63)
		local anim = element
		anim:setAnimationSize(492,328)
		anim:setFramesCount(24)
		anim:setFPS(24)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:play()
 
	effector = element:GetEffector()
	effector:setLifeTime(0.125, 1.125)
	effector:play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."spark.png")
	element:setName("Layer_2")
	compositionspark:addElement(element)
	element:setHotSpot(41, 41)
	element:setParentElement(compositionspark)
	element:setXY(77.5, 77.5)
		local anim = element
		anim:setAnimationSize(492,328)
		anim:setFramesCount(24)
		anim:setFPS(24)
		anim:setMode(_ANIM_FWD + _ANIM_LOOP)
		anim:play()
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.125, 1.125)
	effector:play()
 
	compositionspark:play()
 
	return compositionspark
end
